[pygtk] Problem during installation of pygtk 2.8.1-error: could not find Python headers

Carol Spears carol at gimp.org
Fri Oct 14 22:52:27 WST 2005


On Fri, Oct 14, 2005 at 04:22:43PM +0200, Massimiliano Malloni wrote:
> When I make the ./configure I receive this message :
> 
> checking for python script directory... ${prefix}/lib/python2.4/site-packages
> checking for python extension module directory...
> ${exec_prefix}/lib/python2.4/site-packages
> checking for headers required to compile python extensions... not found
> configure: error: could not find Python headers
> 
> What I've to do ???
> 
for most distributions, you need to install the package that ends in
"-dev" as well.  debian calls its package "python-dev", for instance.
after you build software for a while it will make sense to you -- at
least it did for me.  

currently, i have some software installed by debian which does not
contain the files necessary to build things with.  i have newer versions
that i built installed in /usr/local.  

actually, i can see that you did not build python yourself, since it you
have to really understand the configuration to make it build without the
needed files.

unless you are using gentoo, then there is a good chance i have no idea
what is going on on your computer.

carol



More information about the pygtk mailing list